org.opencv.ximgproc

## Class SelectiveSearchSegmentation

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.SelectiveSearchSegmentation

-     public class SelectiveSearchSegmentation
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SelectiveSearchSegmentation(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SelectiveSearchSegmentation` | `__fromPtr__(long addr)`
    `void` | `addGraphSegmentation(GraphSegmentation g)`
    `void` | `addImage(Mat img)`
    `void` | `addStrategy(SelectiveSearchSegmentationStrategy s)`
    `void` | `clearGraphSegmentations()`
    `void` | `clearImages()`
    `void` | `clearStrategies()`
    `protected void` | `finalize()`
    `void` | `process(MatOfRect rects)`
    `void` | `setBaseImage(Mat img)`
    `void` | `switchToSelectiveSearchFast()`
    `void` | `switchToSelectiveSearchFast(int base_k)`
    `void` | `switchToSelectiveSearchFast(int base_k, int inc_k)`
    `void` | `switchToSelectiveSearchFast(int base_k, int inc_k, float sigma)`
    `void` | `switchToSelectiveSearchQuality()`
    `void` | `switchToSelectiveSearchQuality(int base_k)`
    `void` | `switchToSelectiveSearchQuality(int base_k, int inc_k)`
    `void` | `switchToSelectiveSearchQuality(int base_k, int inc_k, float sigma)`
    `void` | `switchToSingleStrategy()`
    `void` | `switchToSingleStrategy(int k)`
    `void` | `switchToSingleStrategy(int k, float sigma)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectiveSearchSegmentation

          protected SelectiveSearchSegmentation(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static SelectiveSearchSegmentation __fromPtr__(long addr)

    - #### addGraphSegmentation

          public void addGraphSegmentation(GraphSegmentation g)

    - #### addImage

          public void addImage(Mat img)

    - #### addStrategy

          public void addStrategy(SelectiveSearchSegmentationStrategy s)

    - #### clearGraphSegmentations

          public void clearGraphSegmentations()

    - #### clearImages

          public void clearImages()

    - #### clearStrategies

          public void clearStrategies()

    - #### process

          public void process(MatOfRect rects)

    - #### setBaseImage

          public void setBaseImage(Mat img)

    - #### switchToSelectiveSearchFast

          public void switchToSelectiveSearchFast(int base_k,
                                                  int inc_k,
                                                  float sigma)

    - #### switchToSelectiveSearchFast

          public void switchToSelectiveSearchFast(int base_k,
                                                  int inc_k)

    - #### switchToSelectiveSearchFast

          public void switchToSelectiveSearchFast(int base_k)

    - #### switchToSelectiveSearchFast

          public void switchToSelectiveSearchFast()

    - #### switchToSelectiveSearchQuality

          public void switchToSelectiveSearchQuality(int base_k,
                                                     int inc_k,
                                                     float sigma)

    - #### switchToSelectiveSearchQuality

          public void switchToSelectiveSearchQuality(int base_k,
                                                     int inc_k)

    - #### switchToSelectiveSearchQuality

          public void switchToSelectiveSearchQuality(int base_k)

    - #### switchToSelectiveSearchQuality

          public void switchToSelectiveSearchQuality()

    - #### switchToSingleStrategy

          public void switchToSingleStrategy(int k,
                                             float sigma)

    - #### switchToSingleStrategy

          public void switchToSingleStrategy(int k)

    - #### switchToSingleStrategy

          public void switchToSingleStrategy()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3